#ifndef OPTIMISATIONTOOLS_H
#define OPTIMISATIONTOOLS_H

#include <QObject>

#include <functional>

namespace OptimisationTools {
    template <typename T>
    bool dijkstraAlgorithm(const QList<T> elements, int startIndex, int endIndex, QList<T> &elementPath, std::function<double(const T &, const T &)> distance);
}

#endif // OPTIMISATIONTOOLS_H
